> ## Documentation Index
> Fetch the complete documentation index at: https://docs.up.telestream.com/llms.txt
> Use this file to discover all available pages before exploring further.

# This will try to stop workflow job that is being processed



## OpenAPI

````yaml https://api.up.telestream.com/workflow/api/v1/openapi.yaml put /{space_id}/workflows/{workflow_id}/jobs/{workflow_job_id}/stop
openapi: 3.0.3
info:
  title: UP.Workflow API Specification
  version: 1.0.0
  description: Telestream UP.Workflow API Specification
  termsOfService: https://www.telestream.net/telestream-cloud/terms.htm
  contact:
    name: API Support
    url: https://www.telestream.com
    email: cloudsupport@telestream.net
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.up.telestream.com/workflow/api/v1
security:
  - BearerAuth: []
tags:
  - name: workflow
    description: Operations related to the workflow level
  - name: job
    description: Operations related to the job level
  - name: access
    description: Operations related to the access level
paths:
  /{space_id}/workflows/{workflow_id}/jobs/{workflow_job_id}/stop:
    parameters:
      - $ref: '#/components/parameters/space_id'
      - $ref: '#/components/parameters/workflow_id'
      - $ref: '#/components/parameters/workflow_job_id'
    put:
      tags:
        - job
      summary: This will try to stop workflow job that is being processed
      operationId: stopWorkflowJob
      responses:
        '202':
          description: Accepted
        '400':
          description: Invalid request (e.g. workflow_job_id is not a valid GUID)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - BearerAuth:
            - workflow:workflow-management
components:
  parameters:
    space_id:
      name: space_id
      description: UP Space Id
      schema:
        type: string
        format: uuid
        example: d290f1ee-6c54-4b01-90e6-d701748f0851
      in: path
      required: true
    workflow_id:
      name: workflow_id
      description: Unique identifier of a Workflow
      schema:
        type: string
        format: uuid
        example: e3c908ad-dc8f-4edb-88f7-c84dec0aef99
      in: path
      required: true
    workflow_job_id:
      name: workflow_job_id
      description: workflow job id
      schema:
        type: string
        format: uuid
        example: fe2ecbvw-8c9a-4d2b-9f0e-1a2b3c4d5e6f
      in: path
      required: true
  schemas:
    ErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error description
          example: An unexpected error occurred
  responses:
    Unauthorized:
      content:
        application/json:
          schema:
            type: object
            properties:
              error_message:
                type: string
            example:
              error_message: You don't have permission to access this resource
      description: Not authorized
    NotFound:
      content:
        application/json:
          schema:
            type: object
            properties:
              error_message:
                type: string
            example:
              error_message: 404 Not found
      description: Item not found
    InternalError:
      content:
        application/json:
          schema:
            type: object
            properties:
              error_message:
                type: string
            example:
              error_message: 500 internal error
      description: 500 Internal error
  securitySchemes:
    BearerAuth:
      type: oauth2
      description: API key passed as a Bearer token in the Authorization header
      flows:
        implicit:
          authorizationUrl: /auth/oauth2
          scopes:
            workflow:access: Basic access
            workflow:workflow-management: Management access
            workflow:admin: Admin access

````